# Generated from textp-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name textp

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Simple Text parsing for html or just text
License: MIT
URL: https://rubygems.org/gems/textp
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0.0.beta2
# BuildRequires: rubygem(rspec) < 3.1
# BuildRequires: rubygem(rubygems-tasks) >= 0.2
# BuildRequires: rubygem(rubygems-tasks) < 1
BuildArch: noarch

%description
Give a string of text with a link and it will replace the link with the
embeded HTML content.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.rdoc
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/textp.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.0-1
- Initial package
